### Function

# Foundry file_list_children_typed

#### Declaration [src]

    DexFuture*
    foundry_file_list_children_typed (
      GFile* file,
      GFileType file_type,
      const char* attributes
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`file_type`

  Type: `GFileType`

  No description available.

`attributes`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GPtrArray` of `GFile` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.